path: /build/build/libpcap-net-libs-1.10.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-bluetooth -netlink -rdma -remote -usb dbus" emerge net-libs/libpcap -pv -t && \
    USE="-bluetooth -netlink -rdma -remote -usb dbus" emerge -j ${JOBS} --nodeps net-libs/libpcap
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libpcap && luet-portage --dir /pkgdir/libpcap
    net-libs/libpcap && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d73a0bb563bbc8aeba60588fec6fa3267fd40e01c100a6c44a72997f50cda9b7
  package:
    name: libpcap
    version: 1.10.4
    category: net-libs
    use_flags:
    - -bluetooth
    - -netlink
    - -rdma
    - -remote
    - -usb
    - dbus
    requires:
    - name: dbus
      version: '>=0'
      category: sys-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A system-independent library for user-level network packet capture
    uri:
    - ""
    license: BSD
    buildtimestamp: 2023-08-21 07:47:36.192608963 +0000 UTC m=+182.707420243
    labels:
      BDEPEND: sys-devel/flex virtual/yacc dbus? ( virtual/pkgconfig ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      DEPEND: bluetooth? ( net-wireless/bluez:= ) dbus? ( sys-apps/dbus ) netlink?
        ( dev-libs/libnl:3 ) remote? ( virtual/libcrypt:= ) rdma? ( sys-cluster/rdma-core
        ) usb? ( virtual/libusb:1 )
      IUSE: bluetooth dbus netlink rdma remote static-libs usb yydebug
      RDEPEND: bluetooth? ( net-wireless/bluez:= ) dbus? ( sys-apps/dbus ) netlink?
        ( dev-libs/libnl:3 ) remote? ( virtual/libcrypt:= ) rdma? ( sys-cluster/rdma-core
        ) usb? ( virtual/libusb:1 )
      emerge.packages: net-libs/libpcap
      kit: core-kit
      original.package.name: net-libs/libpcap
      original.package.slot: "0"
      original.package.version: 1.10.4
    treedir: /build/packages
  package_dir: /pkgdir/libpcap
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8ef52085d65352e0d969599a375077a94884a747f52fd3bc82e9159669c6a89b
compressiontype: zstd
files:
- usr/bin/pcap-config
- usr/include/pcap/bluetooth.h
- usr/include/pcap/bpf.h
- usr/include/pcap/can_socketcan.h
- usr/include/pcap/compiler-tests.h
- usr/include/pcap/dlt.h
- usr/include/pcap/funcattrs.h
- usr/include/pcap/ipnet.h
- usr/include/pcap/namedb.h
- usr/include/pcap/nflog.h
- usr/include/pcap/pcap-inttypes.h
- usr/include/pcap/pcap.h
- usr/include/pcap/sll.h
- usr/include/pcap/socket.h
- usr/include/pcap/usb.h
- usr/include/pcap/vlan.h
- usr/include/pcap-bpf.h
- usr/include/pcap-namedb.h
- usr/include/pcap.h
- usr/lib64/libpcap.so
- usr/lib64/libpcap.so.1
- usr/lib64/libpcap.so.1.10.4
- usr/lib64/pkgconfig/libpcap.pc
- usr/share/doc/libpcap-1.10.4/CHANGES.bz2
- usr/share/doc/libpcap-1.10.4/CREDITS.bz2
- usr/share/doc/libpcap-1.10.4/README.Win32.md.bz2
- usr/share/doc/libpcap-1.10.4/README.aix.bz2
- usr/share/doc/libpcap-1.10.4/README.dag.bz2
- usr/share/doc/libpcap-1.10.4/README.hpux.bz2
- usr/share/doc/libpcap-1.10.4/README.linux.bz2
- usr/share/doc/libpcap-1.10.4/README.macos.bz2
- usr/share/doc/libpcap-1.10.4/README.md.bz2
- usr/share/doc/libpcap-1.10.4/README.septel.bz2
- usr/share/doc/libpcap-1.10.4/README.sita.bz2
- usr/share/doc/libpcap-1.10.4/README.solaris.md.bz2
- usr/share/doc/libpcap-1.10.4/TODO.bz2
- usr/share/doc/libpcap-1.10.4/VERSION
- usr/share/man/man1/pcap-config.1.bz2
- usr/share/man/man3/pcap.3pcap.bz2
- usr/share/man/man3/pcap_activate.3pcap.bz2
- usr/share/man/man3/pcap_breakloop.3pcap.bz2
- usr/share/man/man3/pcap_can_set_rfmon.3pcap.bz2
- usr/share/man/man3/pcap_close.3pcap.bz2
- usr/share/man/man3/pcap_compile.3pcap.bz2
- usr/share/man/man3/pcap_create.3pcap.bz2
- usr/share/man/man3/pcap_datalink.3pcap.bz2
- usr/share/man/man3/pcap_datalink_name_to_val.3pcap.bz2
- usr/share/man/man3/pcap_datalink_val_to_description.3pcap.bz2
- usr/share/man/man3/pcap_datalink_val_to_description_or_dlt.3pcap.bz2
- usr/share/man/man3/pcap_datalink_val_to_name.3pcap.bz2
- usr/share/man/man3/pcap_dispatch.3pcap.bz2
- usr/share/man/man3/pcap_dump.3pcap.bz2
- usr/share/man/man3/pcap_dump_close.3pcap.bz2
- usr/share/man/man3/pcap_dump_file.3pcap.bz2
- usr/share/man/man3/pcap_dump_flush.3pcap.bz2
- usr/share/man/man3/pcap_dump_fopen.3pcap.bz2
- usr/share/man/man3/pcap_dump_ftell.3pcap.bz2
- usr/share/man/man3/pcap_dump_open.3pcap.bz2
- usr/share/man/man3/pcap_file.3pcap.bz2
- usr/share/man/man3/pcap_fileno.3pcap.bz2
- usr/share/man/man3/pcap_findalldevs.3pcap.bz2
- usr/share/man/man3/pcap_fopen_offline.3pcap.bz2
- usr/share/man/man3/pcap_fopen_offline_with_tstamp_precision.3pcap.bz2
- usr/share/man/man3/pcap_free_datalinks.3pcap.bz2
- usr/share/man/man3/pcap_free_tstamp_types.3pcap.bz2
- usr/share/man/man3/pcap_freealldevs.3pcap.bz2
- usr/share/man/man3/pcap_freecode.3pcap.bz2
- usr/share/man/man3/pcap_get_required_select_timeout.3pcap.bz2
- usr/share/man/man3/pcap_get_selectable_fd.3pcap.bz2
- usr/share/man/man3/pcap_get_tstamp_precision.3pcap.bz2
- usr/share/man/man3/pcap_geterr.3pcap.bz2
- usr/share/man/man3/pcap_getnonblock.3pcap.bz2
- usr/share/man/man3/pcap_init.3pcap.bz2
- usr/share/man/man3/pcap_inject.3pcap.bz2
- usr/share/man/man3/pcap_is_swapped.3pcap.bz2
- usr/share/man/man3/pcap_lib_version.3pcap.bz2
- usr/share/man/man3/pcap_list_datalinks.3pcap.bz2
- usr/share/man/man3/pcap_list_tstamp_types.3pcap.bz2
- usr/share/man/man3/pcap_lookupdev.3pcap.bz2
- usr/share/man/man3/pcap_lookupnet.3pcap.bz2
- usr/share/man/man3/pcap_loop.3pcap.bz2
- usr/share/man/man3/pcap_major_version.3pcap.bz2
- usr/share/man/man3/pcap_minor_version.3pcap.bz2
- usr/share/man/man3/pcap_next.3pcap.bz2
- usr/share/man/man3/pcap_next_ex.3pcap.bz2
- usr/share/man/man3/pcap_offline_filter.3pcap.bz2
- usr/share/man/man3/pcap_open_dead.3pcap.bz2
- usr/share/man/man3/pcap_open_dead_with_tstamp_precision.3pcap.bz2
- usr/share/man/man3/pcap_open_live.3pcap.bz2
- usr/share/man/man3/pcap_open_offline.3pcap.bz2
- usr/share/man/man3/pcap_open_offline_with_tstamp_precision.3pcap.bz2
- usr/share/man/man3/pcap_perror.3pcap.bz2
- usr/share/man/man3/pcap_sendpacket.3pcap.bz2
- usr/share/man/man3/pcap_set_buffer_size.3pcap.bz2
- usr/share/man/man3/pcap_set_datalink.3pcap.bz2
- usr/share/man/man3/pcap_set_immediate_mode.3pcap.bz2
- usr/share/man/man3/pcap_set_promisc.3pcap.bz2
- usr/share/man/man3/pcap_set_protocol_linux.3pcap.bz2
- usr/share/man/man3/pcap_set_rfmon.3pcap.bz2
- usr/share/man/man3/pcap_set_snaplen.3pcap.bz2
- usr/share/man/man3/pcap_set_timeout.3pcap.bz2
- usr/share/man/man3/pcap_set_tstamp_precision.3pcap.bz2
- usr/share/man/man3/pcap_set_tstamp_type.3pcap.bz2
- usr/share/man/man3/pcap_setdirection.3pcap.bz2
- usr/share/man/man3/pcap_setfilter.3pcap.bz2
- usr/share/man/man3/pcap_setnonblock.3pcap.bz2
- usr/share/man/man3/pcap_snapshot.3pcap.bz2
- usr/share/man/man3/pcap_stats.3pcap.bz2
- usr/share/man/man3/pcap_statustostr.3pcap.bz2
- usr/share/man/man3/pcap_strerror.3pcap.bz2
- usr/share/man/man3/pcap_tstamp_type_name_to_val.3pcap.bz2
- usr/share/man/man3/pcap_tstamp_type_val_to_description.3pcap.bz2
- usr/share/man/man3/pcap_tstamp_type_val_to_name.3pcap.bz2
- usr/share/man/man5/pcap-savefile.5.bz2
- usr/share/man/man7/pcap-filter.7.bz2
- usr/share/man/man7/pcap-linktype.7.bz2
- usr/share/man/man7/pcap-tstamp.7.bz2
- var/db/pkg/net-libs/libpcap-1.10.4/BDEPEND
- var/db/pkg/net-libs/libpcap-1.10.4/BUILD_TIME
- var/db/pkg/net-libs/libpcap-1.10.4/CATEGORY
- var/db/pkg/net-libs/libpcap-1.10.4/CBUILD
- var/db/pkg/net-libs/libpcap-1.10.4/CFLAGS
- var/db/pkg/net-libs/libpcap-1.10.4/CHOST
- var/db/pkg/net-libs/libpcap-1.10.4/CONTENTS
- var/db/pkg/net-libs/libpcap-1.10.4/COUNTER
- var/db/pkg/net-libs/libpcap-1.10.4/CXXFLAGS
- var/db/pkg/net-libs/libpcap-1.10.4/DEFINED_PHASES
- var/db/pkg/net-libs/libpcap-1.10.4/DEPEND
- var/db/pkg/net-libs/libpcap-1.10.4/DESCRIPTION
- var/db/pkg/net-libs/libpcap-1.10.4/EAPI
- var/db/pkg/net-libs/libpcap-1.10.4/FEATURES
- var/db/pkg/net-libs/libpcap-1.10.4/INHERITED
- var/db/pkg/net-libs/libpcap-1.10.4/IUSE
- var/db/pkg/net-libs/libpcap-1.10.4/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libpcap-1.10.4/KEYWORDS
- var/db/pkg/net-libs/libpcap-1.10.4/LDFLAGS
- var/db/pkg/net-libs/libpcap-1.10.4/LICENSE
- var/db/pkg/net-libs/libpcap-1.10.4/NEEDED
- var/db/pkg/net-libs/libpcap-1.10.4/PF
- var/db/pkg/net-libs/libpcap-1.10.4/PROVIDES
- var/db/pkg/net-libs/libpcap-1.10.4/RDEPEND
- var/db/pkg/net-libs/libpcap-1.10.4/REQUIRES
- var/db/pkg/net-libs/libpcap-1.10.4/SIZE
- var/db/pkg/net-libs/libpcap-1.10.4/SLOT
- var/db/pkg/net-libs/libpcap-1.10.4/USE
- var/db/pkg/net-libs/libpcap-1.10.4/environment.bz2
- var/db/pkg/net-libs/libpcap-1.10.4/libpcap-1.10.4.ebuild
- var/db/pkg/net-libs/libpcap-1.10.4/repository
package_cacheimage: ""
runtime:
  name: libpcap
  version: 1.10.4
  category: net-libs
  use_flags:
  - -bluetooth
  - -netlink
  - -rdma
  - -remote
  - -usb
  - dbus
  requires:
  - name: dbus
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A system-independent library for user-level network packet capture
  uri:
  - ""
  license: BSD
  labels:
    BDEPEND: sys-devel/flex virtual/yacc dbus? ( virtual/pkgconfig ) >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: bluetooth? ( net-wireless/bluez:= ) dbus? ( sys-apps/dbus ) netlink? (
      dev-libs/libnl:3 ) remote? ( virtual/libcrypt:= ) rdma? ( sys-cluster/rdma-core
      ) usb? ( virtual/libusb:1 )
    IUSE: bluetooth dbus netlink rdma remote static-libs usb yydebug
    RDEPEND: bluetooth? ( net-wireless/bluez:= ) dbus? ( sys-apps/dbus ) netlink?
      ( dev-libs/libnl:3 ) remote? ( virtual/libcrypt:= ) rdma? ( sys-cluster/rdma-core
      ) usb? ( virtual/libusb:1 )
    emerge.packages: net-libs/libpcap
    kit: core-kit
    original.package.name: net-libs/libpcap
    original.package.slot: "0"
    original.package.version: 1.10.4
